package com.fjhx.customer.controller.xiaoman;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.customer.entity.xiaoman.dto.XiaomanConfigDto;
import com.fjhx.customer.entity.xiaoman.dto.XiaomanConfigSelectDto;
import com.fjhx.customer.entity.xiaoman.dto.XiaomanCustomerDto;
import com.fjhx.customer.entity.xiaoman.dto.XiaomanCustomerSelectDto;
import com.fjhx.customer.entity.xiaoman.vo.XiaomanConfigVo;
import com.fjhx.customer.entity.xiaoman.vo.XiaomanCustomerVo;
import com.fjhx.customer.service.xiaoman.XiaomanConfigService;
import com.fjhx.customer.service.xiaoman.XiaomanCustomerService;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.core.domain.BaseSelectDto;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * <p>
 * 小满配置表 前端控制器
 * </p>
 *
 */
@RestController
@RequestMapping("/xiaomanConfig")
public class XiaomanConfigController {


    @Autowired
    private XiaomanConfigService xiaomanConfigService;

    /**
     * 小满客户表分页
     */
    @PostMapping("/page")
    public Page<XiaomanConfigVo> page(@RequestBody XiaomanConfigSelectDto dto) {
        return xiaomanConfigService.getPage(dto);
    }

    /**
     * 小满客户表明细
     */
    @PostMapping("/detail")
    public XiaomanConfigVo detail(@RequestBody BaseSelectDto dto) {
        return xiaomanConfigService.detail(dto.getId());
    }


    /**
     * 小满客户表编辑
     */
    @PostMapping("/edit")
    public void edit(@RequestBody XiaomanConfigDto xiaomanConfigDto) {
        xiaomanConfigService.edit(xiaomanConfigDto);
    }


}
